Subject: Re: linux-next: build warning after merge of the ext4 tree

From: Eric Biggers <[email-masked]>
Date: Thu, 19 May 2022 23:35:20 -0700

On Fri, May 20, 2022 at 11:03:13AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the ext4 tree, today's linux-next build (powerpc
> ppc64_defconfig) produced this warning:
> 
> fs/ext4/super.c: In function 'ext4_check_test_dummy_encryption':
> fs/ext4/super.c:2677:36: warning: unused variable 'sbi' [-Wunused-variable]
>  2677 |         const struct ext4_sb_info *sbi = EXT4_SB(sb);
>       |                                    ^~~
> 
> Introduced by commit
> 
>   0df27ddf69f3 ("ext4: only allow test_dummy_encryption when supported")
> 

The kernel test robot beat you to it!  This warning happens when
!CONFIG_FS_ENCRYPTION.  v4 of the patch fixes this
(https://lore.kernel.org/r/[email-masked]).

- Eric